## ros-humble-ackermann-steering-controller 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(ackermann_steering_controller LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
set(THIS_PACKAGE_INCLUDE_DEPENDS
  controller_interface
  hardware_interface
  generate_parameter_library
  pluginlib
  rclcpp
  rclcpp_lifecycle
  realtime_tools
  std_srvs
  steering_controllers_library
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(ackermann_steering_controller_parameters
  src/ackermann_steering_controller.yaml
)

add_library(
  ackermann_steering_controller
  SHARED
  src/ackermann_steering_controller.cpp
)
target_compile_features(ackermann_steering_controller PUBLIC cxx_std_17)
target_include_directories(ackermann_steering_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>)
target_link_libraries(ackermann_steering_controller PUBLIC
  ackermann_steering_controller_parameters)
ament_target_dependencies(ackermann_steering_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(ackermann_steering_controller PRIVATE "ACKERMANN_STEERING_CONTROLLER_BUILDING_DLL")

pluginlib_export_plugin_description_file(
  controller_interface ackermann_steering_controller.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(hardware_interface REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)


  add_rostest_with_parameters_gmock(test_load_ackermann_steering_controller
    test/test_load_ackermann_steering_controller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/ackermann_steering_controller_params.yaml
  )
  ament_target_dependencies(test_load_ackermann_steering_controller
    controller_manager
    hardware_interface
    ros2_control_test_assets
  )

  add_rostest_with_parameters_gmock(test_ackermann_steering_controller
    test/test_ackermann_steering_controller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/ackermann_steering_controller_params.yaml
  )
  target_include_directories(test_ackermann_steering_controller PRIVATE include)
  target_link_libraries(test_ackermann_steering_controller ackermann_steering_controller)
  ament_target_dependencies(
    test_ackermann_steering_controller
    controller_interface
    hardware_interface
  )

  add_rostest_with_parameters_gmock(
    test_ackermann_steering_controller_preceeding test/test_ackermann_steering_controller_preceeding.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/ackermann_steering_controller_preceeding_params.yaml)
  target_include_directories(test_ackermann_steering_controller_preceeding PRIVATE include)
  target_link_libraries(test_ackermann_steering_controller_preceeding ackermann_steering_controller)
  ament_target_dependencies(
    test_ackermann_steering_controller_preceeding
    controller_interface
    hardware_interface
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/ackermann_steering_controller
)

install(
  TARGETS ackermann_steering_controller ackermann_steering_controller_parameters
  EXPORT export_ackermann_steering_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_ackermann_steering_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-ackermann-steering-controller (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.22.0-1jammy) jammy; urgency=high

  * Bump versions for release
  * Let sphinx add parameter description to documentation (backport #651 <https://github.com/ros-controls/ros2_controllers/issues/651>) (#663 <https://github.com/ros-controls/ros2_controllers/issues/663>)
  * Fix sphinx for steering odometry library/controllers (#626 <https://github.com/ros-controls/ros2_controllers/issues/626>) (#661 <https://github.com/ros-controls/ros2_controllers/issues/661>)
  * Steering odometry library and controllers (backport #484 <https://github.com/ros-controls/ros2_controllers/issues/484>) (`#624 <https://github.com/ros-controls/
  * Contributors: Bence Magyar, Christoph Fröhlich, Tomislav Petković, Reza Kermani, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.17.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.16.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Apr 2022 23:00:00 -0000

ros-humble-ackermann-steering-controller (2.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.0.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (2.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (1.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-humble-ackermann-steering-controller (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000



=== debian/control ===
Source: ros-humble-ackermann-steering-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-control-msgs, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-hardware-interface <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-steering-controllers-library, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ackermann-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-control-msgs, ros-humble-controller-interface, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-std-srvs, ros-humble-steering-controllers-library, ros-humble-ros-workspace
Description: Steering controller for Ackermann kinematics.
 Rear fixed wheels are powering the vehicle and front wheels are steering it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ackermann-steering-controller//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ackermann-steering-controller 2.37.3

=== debian/changelog ===
ros-humble-ackermann-steering-controller (2.37.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.37.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.37.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * 🚀 Add PID controller 🎉 (backport #434 <https://github.com/ros-controls/ros2_controllers/issues/434>, #975 <https://github.com/ros-controls/ros2_controllers/issues/975>, #899 <https://github.com/ros-controls/ros2_controllers/issues/899>, #1084 <https://github.com/ros-controls/ros2_controllers/issues/1084>, #951 <https://github.com/ros-controls/ros2_controllers/issues/951>) (#1162 <https://github.com/ros-controls/ros2_controllers/issues/1162>)
  * Fix steering controllers library kinematics (#1150 <https://github.com/ros-controls/ros2_controllers/issues/1150>) (#1194 <https://github.com/ros-controls/ros2_controllers/issues/1194>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.36.0-1bookworm) bookworm; urgency=high

  * [Steering controllers library] Reference interfaces are body twist (#1168 <https://github.com/ros-controls/ros2_controllers/issues/1168>) (#1173 <https://github.com/ros-controls/ros2_controllers/issues/1173>)
  * Fix steering controllers library code documentation and naming (#1149 <https://github.com/ros-controls/ros2_controllers/issues/1149>) (#1164 <https://github.com/ros-controls/ros2_controllers/issues/1164>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.35.0-1bookworm) bookworm; urgency=high

  * Add parameter check for geometric values (backport #1120 <https://github.com/ros-controls/ros2_controllers/issues/1120>) (#1125 <https://github.com/ros-controls/ros2_controllers/issues/1125>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.33.0-1bookworm) bookworm; urgency=high

  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>) (#1011 <https://github.com/ros-controls/ros2_controllers/issues/1011>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.32.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.30.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Dec 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Nov 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.27.0-1bookworm) bookworm; urgency=high

  * Improve docs (#785 <https://github.com/ros-controls/ros2_controllers/issues/785>) (#786 <https://github.com/ros-controls/ros2_controllers/issues/786>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.25.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.23.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-ackermann-steering-controller (2.22.0-1bookworm) bookworm; urgency=high

  * Bump versions for release
  * Let sphinx add parameter description to documentation (backport #651 <https://github.com/ros-controls/ros2_controllers/issues/651>) (#663 <https://github.com/ros-controls/ros2_controllers/issues/663>)
  * Fix sphinx for steering odometry library/controllers (#626 <https://github.com/ros-controls/ros2_controllers/issues/626>) (#661 <https://github.com/ros-controls/ros2_controllers/issues/661>)
  * Steering odometry library and controllers (backport #484 <https://github.com/ros-controls/ros2_controllers/issues/484>) (`#624 <https://github.com/ros-controls/


=== debian/control ===
Source: ros-humble-ackermann-steering-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-hardware-interface <!nocheck>, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-steering-controllers-library, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ackermann-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-controller-interface, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-std-srvs, ros-humble-steering-controllers-library, ros-humble-ros-workspace
Description: Steering controller for Ackermann kinematics.
 Rear fixed wheels are powering the vehicle and front wheels are steering it.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ackermann-steering-controller//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ackermann-steering-controller//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ackermann-steering-controller//opt/ros/humble/opt/ackermann_steering_controller/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
